## qtltools 1.1+dfsg

=== Makefile ===
##########################################
# SET CORRECTLY THESE 6 PATHS TO COMPILE #
##########################################
BOOST_INC=
BOOST_LIB=
RMATH_INC=
RMATH_LIB=
HTSLD_INC=
HTSLD_LIB=

#COMPILER MODE C++11
CXX=g++ -std=c++0x

#COMPILER FLAGS
CXXFLAG_REL=-O2
CXXFLAG_DBG=-g
CXXFLAG_WRN=-Wall -Wextra -Wno-sign-compare -Wno-unused-local-typedefs -Wno-deprecated -Wno-unused-parameter

#BASE LIBRARIES
LIB_FLAGS=-Wl,-Bstatic -lz -lgsl -lblas -lbz2 -Wl,-Bdynamic -lm -lpthread 

#FILE LISTS
BFILE=bin/QTLtools
HFILE=$(shell find src -name *.h)
TFILE=$(shell find lib -name *.h)
CFILE=$(shell find src -name *.cpp)
OFILE=$(shell for file in `find src -name *.cpp`; do echo obj/$$(basename $$file .cpp).o; done)
VPATH=$(shell for file in `find src -name *.cpp`; do echo $$(dirname $$file); done)

#DEFAULT VERSION (I.E. UNIGE DESKTOP RELEASE VERSION)
all: desktop

#UNIGE DESKTOP RELEASE VERSION
desktop: RMATH_INC=$(HOME)/Tools/R-3.2.2/src/include
desktop: RMATH_LIB=$(HOME)/Tools/R-3.2.2/src/nmath/standalone
desktop: HTSLD_INC=$(HOME)/Tools/htslib-1.3.1
desktop: HTSLD_LIB=$(HOME)/Tools/htslib-1.3.1
desktop: BOOST_INC=/usr/include
desktop: BOOST_LIB=/usr/lib
desktop: CXXFLAG=$(CXXFLAG_REL) $(CXXFLAG_WRN)
desktop: IFLAG=-Ilib/OTools -Ilib -I$(RMATH_INC) -I$(HTSLD_INC) -I$(BOOST_INC)
desktop: LIB_FILES=$(RMATH_LIB)/libRmath.a $(HTSLD_LIB)/libhts.a $(BOOST_LIB)/libboost_iostreams.a $(BOOST_LIB)/libboost_program_options.a
desktop: LDFLAG=$(CXXFLAG_REL)
desktop: $(BFILE)

#UNIGE DESKTOP DEBUG VERSION
desktop-dbg: desktop
desktop-dbg: CXXFLAG=$(CXXFLAG_DBG) $(CXXFLAG_WRN)
desktop-dbg: LDFLAG=$(CXXFLAG_DBG)

#VITAL-IT RELEASE VERSION
cluster: RMATH_INC=/software/R/3.1.1/include
cluster: RMATH_LIB=/software/R/3.1.1/lib64
cluster: HTSLD_INC=/software/UHTS/Analysis/samtools/1.2/include
cluster: HTSLD_LIB=/software/UHTS/Analysis/samtools/1.2/lib64
cluster: BOOST_INC=/software/include
cluster: BOOST_LIB=/software/lib64
cluster: CXXFLAG=$(CXXFLAG_REL) $(CXXFLAG_WRN)
cluster: IFLAG=-Ilib/OTools -Ilib -I$(RMATH_INC) -I$(HTSLD_INC) -I$(BOOST_INC)
cluster: LIB_FILES=$(RMATH_LIB)/libRmath.a $(HTSLD_LIB)/libhts.a $(BOOST_LIB)/libboost_iostreams.a $(BOOST_LIB)/libboost_program_options.a
cluster: LDFLAG=$(CXXFLAG_REL)
cluster: $(BFILE)

#VITAL-IT DEBUG VERSION
cluster-dbg: cluster
cluster-dbg: CXXFLAG=$(CXXFLAG_DBG) $(CXXFLAG_WRN)
cluster-dbg: LDFLAG=$(CXXFLAG_DBG)

#MAC RELEASE VERSION
mac: RMATH_INC=$(HOME)/Libraries/R-3.2.2/src/include
mac: RMATH_LIB=$(HOME)/Libraries/R-3.2.2/src/nmath/standalone
mac: HTSLD_INC=$(HOME)/Libraries/htslib-1.2.1
mac: HTSLD_LIB=$(HOME)/Libraries/htslib-1.2.1
mac: BOOST_INC=/opt/local/include
mac: BOOST_LIB=/opt/local/lib
mac: CXXFLAG=$(CXXFLAG_REL) $(CXXFLAG_WRN)
mac: IFLAG=-Ilib/OTools -Ilib/ -I$(RMATH_INC) -I$(HTSLD_INC) -I$(BOOST_INC)
mac: LIB_FILES=$(RMATH_LIB)/libRmath.a $(HTSLD_LIB)/libhts.a $(BOOST_LIB)/libboost_iostreams-mt.a $(BOOST_LIB)/libboost_program_options-mt.a
mac: LDFLAG=$(CXXFLAG_REL) -L /opt/local/lib
mac: $(BFILE)

#MAC DEBUG VERSION
mac-dbg: RMATH_INC=$(HOME)/Libraries/R-3.2.2/src/include
mac-dbg: RMATH_LIB=$(HOME)/Libraries/R-3.2.2/src/nmath/standalone
mac-dbg: HTSLD_INC=$(HOME)/Libraries/htslib-1.2.1
mac-dbg: HTSLD_LIB=$(HOME)/Libraries/htslib-1.2.1
mac-dbg: BOOST_INC=/opt/local/include
mac-dbg: BOOST_LIB=/opt/local/lib
mac-dbg: CXXFLAG=$(CXXFLAG_DBG) $(CXXFLAG_WRN)
mac-dbg: IFLAG=-Ilib/OTools -Ilib/ -I$(RMATH_INC) -I$(HTSLD_INC) -I$(BOOST_INC)
mac-dbg: LIB_FILES=$(RMATH_LIB)/libRmath.a $(HTSLD_LIB)/libhts.a $(BOOST_LIB)/libboost_iostreams-mt.a $(BOOST_LIB)/libboost_program_options-mt.a
mac-dbg: LDFLAG=$(CXXFLAG_DBG) -L /opt/local/lib
mac-dbg: $(BFILE)

#COMPILATION RULES
$(BFILE): $(OFILE)
	$(CXX) $^ $(LIB_FILES) -o $@ $(LIB_FLAGS) $(LDFLAG)

obj/QTLtools.o: src/QTLtools.cpp $(HFILE) $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)

obj/data.o: src/common/data.cpp src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)

obj/cis_%.o: cis_%.cpp cis_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/correct_%.o: correct_%.cpp correct_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/fenrich_%.o: fenrich_%.cpp fenrich_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/match_%.o: match_%.cpp match_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/trans_%.o: trans_%.cpp trans_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/rtc_%.o: rtc_%.cpp rtc_data.h  src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)

obj/pca_%.o: pca_%.cpp pca_data.h pca_pca.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/genrich_%.o: genrich_%.cpp genrich_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/union_%.o: union_%.cpp union_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/extract_%.o: extract_%.cpp extract_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)

obj/quan_%.o: quan_%.cpp quan_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/ase_%.o: ase_%.cpp ase_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/bamstat_%.o: bamstat_%.cpp bamstat_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/fdensity_%.o: fdensity_%.cpp fdensity_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
clean: 
	rm -f obj/*.o $(BFILE)

clean-cis:
	rm -f obj/cis_*.o $(BFILE)

clean-correct:
	rm -f obj/correct_*.o $(BFILE)

clean-fenrich:
	rm -f obj/fenrich_*.o $(BFILE)

clean-genrich:
	rm -f obj/genrich_*.o $(BFILE)

clean-match:
	rm -f obj/match_*.o $(BFILE)

clean-trans:
	rm -f obj/trans_*.o $(BFILE)

clean-rtc:
	rm -f obj/rtc_*.o $(BFILE)

clean-pca:
	rm -f obj/pca_*.o $(BFILE)
	
clean-extract:
	rm -f obj/extract_*.o $(BFILE)
	
clean-ase:
	rm -f obj/ase_*.o $(BFILE)

clean-union:
	rm -f obj/union_*.o $(BFILE)

clean-quan:
	rm -f obj/quan_*.o $(BFILE)

clean-bamstat:
	rm -f obj/bamstat_*.o $(BFILE)
		
clean-fdensity:
	rm -f obj/fdensity_*.o $(BFILE)

=== debian/changelog ===
qtltools (1.1+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:22:50 +0000

qtltools (1.1+dfsg-2) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Remove examples.tar.xz during dh_auto_clean in order
     to improve reproducible builds. (Closes: #857454)
     (Thanks to Chris Lamb)
  * Add OMICtools ref.

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 19 Jul 2017 23:54:14 +0200

qtltools (1.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstram version
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2017 10:06:15 +0100

qtltools (1.0+dfsg-2) unstable; urgency=medium

  * Add a patch to fix reproducible builds. (Closes: #848280)
     (Thanks to Reiner Herrmann <reiner@reiner-h.de>)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 16 Dec 2016 22:12:04 +0100

qtltools (1.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #845590)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 02 Dec 2016 23:35:41 +0100

=== debian/control ===
Source: qtltools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               libblas-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libbz2-dev,
               libeigen3-dev,
               libgsl-dev,
               libhts-dev,
               r-mathlib,
               zlib1g-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/debian-med/qtltools.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/qtltools.git
Homepage: https://qtltools.github.io/qtltools/

Package: qtltools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: qtltools-example
Description: Tool set for molecular QTL discovery and analysis
 QTLtools is a tool set for molecular Quantitative Trait Loci (QTL) discovery
 and analysis. It allows user to go from the raw sequence data to collection of
 molecular QTL in few easy-to-perform steps. QTLtools contains multiple methods
 to prepare the data, to discover proximal and distal molecular QTL and to
 finally integrate them with GWAS variants and functional annotations of the
 genome.

Package: qtltools-example
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Enhances: qtltools
Description: Tool set for molecular QTL discovery and analysis - example
 QTLtools is a tool set for molecular Quantitative Trait Loci (QTL) discovery
 and analysis. It allows user to go from the raw sequence data to collection of
 molecular QTL in few easy-to-perform steps. QTLtools contains multiple methods
 to prepare the data, to discover proximal and distal molecular QTL and to
 finally integrate them with GWAS variants and functional annotations of the
 genome.
 .
 This package provides example data to work with QTLtools.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/eigen3

%:
	dh $@

override_dh_auto_build:
	mkdir -p $(CURDIR)/obj/
	mkdir -p $(CURDIR)/bin/
	dh_auto_build

override_dh_auto_clean:
	rm -f debian/upstream.example/examples.tar.xz
	dh_auto_clean

override_dh_install:
	cd debian/upstream.example && find -type f | LC_ALL=C sort | tar -T - --sort=name --mode=go=rX,u+rw,a-s --owner=root --group=root --numeric-owner -Jcvf examples.tar.xz
	dh_install

## qtltools 1.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,12 +12,12 @@
 CXX=g++ -std=c++0x
 
 #COMPILER FLAGS
-CXXFLAG_REL=-O2
+CXXFLAG_REL=-O3
 CXXFLAG_DBG=-g
 CXXFLAG_WRN=-Wall -Wextra -Wno-sign-compare -Wno-unused-local-typedefs -Wno-deprecated -Wno-unused-parameter
 
 #BASE LIBRARIES
-LIB_FLAGS=-Wl,-Bstatic -lz -lgsl -lblas -lbz2 -Wl,-Bdynamic -lm -lpthread 
+LIB_FLAGS=-lz -lgsl -lblas -lbz2 -llzma -lgslcblas -lm -lpthread
 
 #FILE LISTS
 BFILE=bin/QTLtools
@@ -27,16 +27,35 @@
 OFILE=$(shell for file in `find src -name *.cpp`; do echo obj/$$(basename $$file .cpp).o; done)
 VPATH=$(shell for file in `find src -name *.cpp`; do echo $$(dirname $$file); done)
 
-#DEFAULT VERSION (I.E. UNIGE DESKTOP RELEASE VERSION)
-all: desktop
+#DEFAULT VERSION (SET UP THE VARIABLES IN THE BEGINING OF THE MAKEFILE)
+all: CXXFLAG=$(CXXFLAG_REL) $(CXXFLAG_WRN)
+all: IFLAG=-Ilib/OTools -Ilib -I$(RMATH_INC) -I$(HTSLD_INC) -I$(BOOST_INC)
+all: LIB_FILES=$(RMATH_LIB)/libRmath.a $(HTSLD_LIB)/libhts.a $(BOOST_LIB)/libboost_iostreams.a $(BOOST_LIB)/libboost_program_options.a
+all: LDFLAG=$(CXXFLAG_REL)
+all: $(BFILE)
+
+#DEFAULT DEBUG VERSION (SET UP THE VARIABLES IN THE BEGINING OF THE MAKEFILE)
+all-dbg: CXXFLAG=$(CXXFLAG_DBG) $(CXXFLAG_WRN)
+all-dbg: IFLAG=-Ilib/OTools -Ilib -I$(RMATH_INC) -I$(HTSLD_INC) -I$(BOOST_INC)
+all-dbg: LIB_FILES=$(RMATH_LIB)/libRmath.a $(HTSLD_LIB)/libhts.a $(BOOST_LIB)/libboost_iostreams.a $(BOOST_LIB)/libboost_program_options.a
+all-dbg: LDFLAG=$(CXXFLAG_DBG)
+all-dbg: $(BFILE)
+
+#DEFAULT VERSION (SET UP THE VARIABLES IN THE BEGINING OF THE MAKEFILE)
+all-static: LIB_FLAGS=-Wl,-Bstatic -lz -lgsl -lblas -lbz2 -llzma -lgslcblas -Wl,-Bdynamic -lm -lpthread 
+all-static: CXXFLAG=$(CXXFLAG_REL) $(CXXFLAG_WRN)
+all-static: IFLAG=-Ilib/OTools -Ilib -I$(RMATH_INC) -I$(HTSLD_INC) -I$(BOOST_INC)
+all-static: LIB_FILES=$(RMATH_LIB)/libRmath.a $(HTSLD_LIB)/libhts.a $(BOOST_LIB)/libboost_iostreams.a $(BOOST_LIB)/libboost_program_options.a
+all-static: LDFLAG=$(CXXFLAG_REL)
+all-static: $(BFILE)
 
 #UNIGE DESKTOP RELEASE VERSION
 desktop: RMATH_INC=$(HOME)/Tools/R-3.2.2/src/include
 desktop: RMATH_LIB=$(HOME)/Tools/R-3.2.2/src/nmath/standalone
-desktop: HTSLD_INC=$(HOME)/Tools/htslib-1.3.1
-desktop: HTSLD_LIB=$(HOME)/Tools/htslib-1.3.1
+desktop: HTSLD_INC=$(HOME)/Tools/htslib-1.3
+desktop: HTSLD_LIB=$(HOME)/Tools/htslib-1.3
 desktop: BOOST_INC=/usr/include
-desktop: BOOST_LIB=/usr/lib
+desktop: BOOST_LIB=/usr/lib/x86_64-linux-gnu
 desktop: CXXFLAG=$(CXXFLAG_REL) $(CXXFLAG_WRN)
 desktop: IFLAG=-Ilib/OTools -Ilib -I$(RMATH_INC) -I$(HTSLD_INC) -I$(BOOST_INC)
 desktop: LIB_FILES=$(RMATH_LIB)/libRmath.a $(HTSLD_LIB)/libhts.a $(BOOST_LIB)/libboost_iostreams.a $(BOOST_LIB)/libboost_program_options.a
@@ -44,15 +63,24 @@
 desktop: $(BFILE)
 
 #UNIGE DESKTOP DEBUG VERSION
-desktop-dbg: desktop
+desktop-dbg: RMATH_INC=$(HOME)/Tools/R-3.2.2/src/include
+desktop-dbg: RMATH_LIB=$(HOME)/Tools/R-3.2.2/src/nmath/standalone
+desktop-dbg: HTSLD_INC=$(HOME)/Tools/htslib-1.3
+desktop-dbg: HTSLD_LIB=$(HOME)/Tools/htslib-1.3
+desktop-dbg: BOOST_INC=/usr/include
+desktop-dbg: BOOST_LIB=/usr/lib/x86_64-linux-gnu
 desktop-dbg: CXXFLAG=$(CXXFLAG_DBG) $(CXXFLAG_WRN)
+desktop-dbg: IFLAG=-Ilib/OTools -Ilib -I$(RMATH_INC) -I$(HTSLD_INC) -I$(BOOST_INC)
+desktop-dbg: LIB_FILES=$(RMATH_LIB)/libRmath.a $(HTSLD_LIB)/libhts.a $(BOOST_LIB)/libboost_iostreams.a $(BOOST_LIB)/libboost_program_options.a
 desktop-dbg: LDFLAG=$(CXXFLAG_DBG)
+desktop-dbg: $(BFILE)
 
 #VITAL-IT RELEASE VERSION
-cluster: RMATH_INC=/software/R/3.1.1/include
-cluster: RMATH_LIB=/software/R/3.1.1/lib64
-cluster: HTSLD_INC=/software/UHTS/Analysis/samtools/1.2/include
-cluster: HTSLD_LIB=/software/UHTS/Analysis/samtools/1.2/lib64
+cluster: LIB_FLAGS=-lz -lgsl -lblas -lbz2 -lm -lpthread -lgslcblas -llzma
+cluster: RMATH_INC=/software/R/3.4.2/include
+cluster: RMATH_LIB=/software/R/3.4.2/lib64
+cluster: HTSLD_INC=/software/UHTS/Analysis/samtools/1.4/include
+cluster: HTSLD_LIB=/software/UHTS/Analysis/samtools/1.4/lib64
 cluster: BOOST_INC=/software/include
 cluster: BOOST_LIB=/software/lib64
 cluster: CXXFLAG=$(CXXFLAG_REL) $(CXXFLAG_WRN)
@@ -62,9 +90,18 @@
 cluster: $(BFILE)
 
 #VITAL-IT DEBUG VERSION
-cluster-dbg: cluster
+cluster-dbg: LIB_FLAGS=-lz -lgsl -lblas -lbz2 -lm -lpthread -lgslcblas -llzma
+cluster-dbg: RMATH_INC=/software/R/3.4.2/include
+cluster-dbg: RMATH_LIB=/software/R/3.4.2/lib64
+cluster-dbg: HTSLD_INC=/software/UHTS/Analysis/samtools/1.4/include
+cluster-dbg: HTSLD_LIB=/software/UHTS/Analysis/samtools/1.4/lib64
+cluster-dbg: BOOST_INC=/software/include
+cluster-dbg: BOOST_LIB=/software/lib64
 cluster-dbg: CXXFLAG=$(CXXFLAG_DBG) $(CXXFLAG_WRN)
 cluster-dbg: LDFLAG=$(CXXFLAG_DBG)
+cluster-dbg: IFLAG=-Ilib/OTools -Ilib -I$(RMATH_INC) -I$(HTSLD_INC) -I$(BOOST_INC)
+cluster-dbg: LIB_FILES=$(RMATH_LIB)/libRmath.a $(HTSLD_LIB)/libhts.a $(BOOST_LIB)/libboost_iostreams.a $(BOOST_LIB)/libboost_program_options.a
+cluster-dbg: $(BFILE)
 
 #MAC RELEASE VERSION
 mac: RMATH_INC=$(HOME)/Libraries/R-3.2.2/src/include
@@ -132,7 +169,7 @@
 obj/extract_%.o: extract_%.cpp extract_data.h src/common/data.h src/common/filter.h $(TFILE)
 	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
 
-obj/quan_%.o: quan_%.cpp quan_data.h src/common/data.h src/common/filter.h $(TFILE)
+obj/quan_%.o: quan_%.cpp quan_data.h quan_xxhash.h src/common/data.h src/common/filter.h $(TFILE)
 	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
 	
 obj/ase_%.o: ase_%.cpp ase_data.h src/common/data.h src/common/filter.h $(TFILE)
@@ -142,6 +179,12 @@
 	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
 	
 obj/fdensity_%.o: fdensity_%.cpp fdensity_data.h src/common/data.h src/common/filter.h $(TFILE)
+	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
+	
+obj/rep_%.o: rep_%.cpp rep_data.h src/common/data.h src/common/filter.h $(TFILE)
+	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
+	
+obj/gwas_%.o: gwas_%.cpp gwas_data.h src/common/data.h src/common/filter.h $(TFILE)
 	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
 	
 clean: 
@@ -189,4 +232,10 @@
 clean-fdensity:
 	rm -f obj/fdensity_*.o $(BFILE)
 		
-		
+clean-rep:
+	rm -f obj/rep_*.o $(BFILE)
+		
+clean-gwas:
+	rm -f obj/gwas_*.o $(BFILE)
+		
+

=== debian/changelog ===
qtltools (1.2+dfsg-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:28:25 +0000

qtltools (1.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: on mipsel, skip debug info to fit into 4 GB of memory

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Dec 2019 22:27:16 +0100

qtltools (1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Bump debhelper compat 12.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Sep 2019 23:26:57 +0200

qtltools (1.1+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * Fix registries ref.
  * Update metadata references.
  * Canonical Vcs-Browser.
  * Bump Standards-Version to 4.1.1 (no changes needed).

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 16:07:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: qtltools
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12~),
                libblas-dev,
                libboost-iostreams-dev,
                libboost-program-options-dev,
@@ -13,9 +14,9 @@
                libhts-dev,
                r-mathlib,
                zlib1g-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/qtltools.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/qtltools.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/med-team/qtltools
+Vcs-Git: https://salsa.debian.org/med-team/qtltools.git
 Homepage: https://qtltools.github.io/qtltools/
 
 Package: qtltools

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/eigen3
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386 armel armhf mipsel))
+	export DEB_CXXFLAGS_MAINT_APPEND = -g0
+endif
 
 %:
 	dh $@
@@ -18,4 +21,3 @@
 override_dh_install:
 	cd debian/upstream.example && find -type f | LC_ALL=C sort | tar -T - --sort=name --mode=go=rX,u+rw,a-s --owner=root --group=root --numeric-owner -Jcvf examples.tar.xz
 	dh_install
-

## qtltools 1.3.1%2Bdfsg

=== debian/changelog ===
qtltools (1.3.1+dfsg-4build4) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 10:32:00 +0200

qtltools (1.3.1+dfsg-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:33:48 +1100

qtltools (1.3.1+dfsg-4build2) noble; urgency=high

  * No change rebuild against libhts3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:51:47 +0100

qtltools (1.3.1+dfsg-4build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:55:26 +0100

qtltools (1.3.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Recommends: s/r-cran-qvalue/r-bioc-qvalue/
    Closes: #1021423
  * Move bash completions to correct dir

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 16:43:51 +0100

qtltools (1.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Normalise github watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Recommends: r-cran-qvalue
  * Depends: r-base-core

 -- Andreas Tille <tille@debian.org>  Thu, 06 Oct 2022 15:29:06 +0200

qtltools (1.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Install the new files in appropriate locations.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 13 Oct 2020 17:56:30 +0200

qtltools (1.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Make really sure examples.tar.xz will not contain itself
  * debhelper-compat 12
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Dylan Aïssi ]
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)

  [ Michael R. Crusoe ]
  * debian/patches/Makefile_config.patch: refresh
  * Fix uses-deprecated-adttmp debian/tests/run-sample-analysis
  * debian/upstream/metadata: added Repository{,-Browse} and
    Bug-{Database,Submit}.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * script/ is now scripts/

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 10 Oct 2020 18:04:50 +0200

## qtltools 1.3.1+dfsg

=== Makefile ===
##########################################
# SET THESE 6 PATHS CORRECTLY TO COMPILE #
##########################################
BOOST_INC=
BOOST_LIB=
RMATH_INC=
RMATH_LIB=
HTSLD_INC=
HTSLD_LIB=
#########################################################
# EXAMPLES:                                             #
# BOOST_INC=/usr/include/                               #
# BOOST_LIB=/usr/lib/x86_64-linux-gnu/                  #
# RMATH_INC=$(HOME)/Tools/R-3.6.1/src/include           #
# RMATH_LIB=$(HOME)/Tools/R-3.6.1/src/nmath/standalone  #
# HTSLD_INC=$(HOME)/Tools/htslib-1.9                    #
# HTSLD_LIB=$(HOME)/Tools/htslib-1.9                    #
#########################################################
define n


endef

#INSTALL LOCATIONS
#CHANGE prefix TO INSTALL LOCALLY
prefix      = /usr/local
exec_prefix = $(prefix)
bindir      = $(exec_prefix)/bin
datarootdir = $(prefix)/share
mandir      = $(datarootdir)/man
man1dir     = $(mandir)/man1
autocompdir = /etc/bash_completion.d
MKDIR_P = mkdir -p
INSTALL = install -p
INSTALL_DATA    = $(INSTALL) -m 644
INSTALL_EXE    = $(INSTALL) -m 755
INSTALL_DIR     = $(MKDIR_P) -m 755
INSTALL_MAN     = $(INSTALL_DATA)
INSTALL_PROGRAM = $(INSTALL)
INSTALL_SCRIPT  = $(INSTALL_EXE)

#COMPILER MODE C++11
CXX=g++ -std=c++0x

#COMPILER FLAGS
CXXFLAG_REL=-O3
CXXFLAG_DBG=-g
CXXFLAG_WRN=-Wall -Wextra -Wno-sign-compare -Wno-unused-local-typedefs -Wno-deprecated -Wno-unused-parameter

#BASE LIBRARIES
LIB_FLAGS=-lz -lgsl -lbz2 -llzma -lgslcblas -lm -lpthread -lcurl

#FILE LISTS
BFILE=bin/QTLtools
SFILE=$(shell find scripts -name *.R)
MFILE=$(shell find doc -name *.1)
HFILE=$(shell find src -name *.h)
TFILE=$(shell find lib -name *.h)
CFILE=$(shell find src -name *.cpp | LC_ALL=C sort)
OFILE=$(shell for file in `find src -name *.cpp | LC_ALL=C sort`; do echo obj/$$(basename $$file .cpp).o; done)
VPATH=$(shell for file in `find src -name *.cpp | LC_ALL=C sort`; do echo $$(dirname $$file); done)
ifneq (, $(shell which git))
 GITVS=$(shell git describe --tags --long --abbrev=10 2>/dev/null)
 ifneq (, $(GITVS))
  $(info Compiling version $(GITVS))
  CXXFLAG_REL+= -DQTLTOOLS_VERSION=\"$(GITVS)\"
  CXXFLAG_DBG+= -DQTLTOOLS_VERSION=\"$(GITVS)\"
 endif
endif

#STATICLY LINKED LIBS
LIB_FILES=$(RMATH_LIB)/libRmath.a $(HTSLD_LIB)/libhts.a $(BOOST_LIB)/libboost_iostreams.a $(BOOST_LIB)/libboost_program_options.a
#INCLUDE DIRS
IFLAG=-Ilib/OTools -isystem lib -I$(RMATH_INC) -I$(HTSLD_INC) -I$(BOOST_INC)

#ONLY FOR MAC STATIC LINKING, ARCHIVES ASSUMED TO BE INSTALLED WITH BREW.IF YOU HAVE THESE IN OTHER LOCATIONS MODIFY THE NEXT 5 LINES 
MZ=/usr/local/opt/zlib/lib/libz.a
MCBLAS=/usr/local/lib/libgslcblas.a
MGSL=/usr/local/lib/libgsl.a
MBZ2=/usr/local/opt/bzip2/lib/libbz2.a
MLZMA=/usr/local/lib/liblzma.a
MCURL=/usr/local/opt/curl/lib/libcurl.a

#MAC SPECIFIC STUFF
UNAME := $(shell uname)
ifeq ($(UNAME),Darwin)
 CXXFLAG_REL+= -fvisibility=hidden -fvisibility-inlines-hidden
 CXXFLAG_DBG+= -fvisibility=hidden -fvisibility-inlines-hidden
 autocompdir = /usr/local/etc/bash_completion.d
 ifeq ($(MAKECMDGOALS),static)
   ifeq ("$(wildcard  $(MZ))","")
     $(error Cannot find $(MZ)! $nTry:	brew install zlib$nOr edit the makefile with the correct location of libz.a)
   endif
   ifeq ("$(wildcard  $(MCBLAS))","")
     $(error Cannot find $(MCBLAS)! $nTry:	brew install gsl$nOr edit the makefile with the correct location of libgslcblas.a)
   endif
   ifeq ("$(wildcard  $(MGSL))","")
     $(error Cannot find $(MGSL)! $nTry:	brew install gsl$nOr edit the makefile with the correct location of libgsl.a)
   endif
   ifeq ("$(wildcard  $(MBZ2))","")
     $(error Cannot find $(MBZ2)! $nTry:	brew install bzip2$nOr edit the makefile with the correct location of libbz2.a)
   endif
   ifeq ("$(wildcard  $(MLZMA))","")
     $(error Cannot find $(MLZMA)! $nTry:	brew install xz$nOr edit the makefile with the correct location of liblzma.a)
   endif
   ifeq ("$(wildcard  $(MCURL))","")
     $(error Cannot find $(MCURL)! $nTry:	brew install curl$nOr edit the makefile with the correct location of libcurl.a)
   endif           
 endif
endif

#CHECK IF WE MADE BEFORE INSTALLING
ifeq ($(MAKECMDGOALS),install)
 ifeq ("$(wildcard $(BFILE))","")
   $(error Cannot find $(BFILE)! $nPlease make before you make install)
 endif
endif

#DEFAULT VERSION (SET UP THE VARIABLES IN THE BEGINING OF THE MAKEFILE)
all: CXXFLAG=$(CXXFLAG_REL) $(CXXFLAG_WRN)
all: LDFLAG=$(CXXFLAG_REL)
all: $(BFILE)

#DEBUG VERSION (SET UP THE VARIABLES IN THE BEGINING OF THE MAKEFILE)
debug: CXXFLAG=$(CXXFLAG_DBG) $(CXXFLAG_WRN)
debug: LDFLAG=$(CXXFLAG_DBG)
debug: $(BFILE)

#STATIC VERSION (SET UP THE VARIABLES IN THE BEGINING OF THE MAKEFILE)
static: CXXFLAG=$(CXXFLAG_REL) $(CXXFLAG_WRN)
static: LDFLAG=$(CXXFLAG_REL)
ifeq ($(UNAME),Darwin)
#ASSUMES YOU INSTALLED REQUIRED LIBRARIES WITH BREW. SEE ABOVE WHERE THESE VARIABLES ARE SET
static: LIB_FILES+= $(MZ) $(MCBLAS) $(MGSL) $(MBZ2) $(MLZMA) $(MCURL)
static: LIB_FLAGS=-lm -lpthread
else
static: LIB_FLAGS=-Wl,-Bstatic -lz -lgsl -lbz2 -llzma -lgslcblas -lcurl -Wl,-Bdynamic -lm -lpthread
endif
static: $(BFILE)

#STATIC DEBUG VERSION (SET UP THE VARIABLES IN THE BEGINING OF THE MAKEFILE)
static-dbg: CXXFLAG=$(CXXFLAG_DBG) $(CXXFLAG_WRN)
static-dbg: LDFLAG=$(CXXFLAG_DBG)
ifeq ($(UNAME),Darwin)
#ASSUMES YOU INSTALLED REQUIRED LIBRARIES WITH BREW, SEE ABOVE WHERE THESE VARIABLES ARE SET
static-dbg: LIB_FILES+= $(MZ) $(MCBLAS) $(MGSL) $(MBZ2) $(MLZMA) $(MCURL)
static-dbg: LIB_FLAGS=-lm -lpthread
else
static-dbg: LIB_FLAGS=-Wl,-Bstatic -lz -lgsl -lbz2 -llzma -lgslcblas -lcurl -Wl,-Bdynamic -lm -lpthread
endif
static-dbg: $(BFILE)

personal: BOOST_INC=/usr/include/
personal: BOOST_LIB=/usr/lib/x86_64-linux-gnu/
personal: RMATH_INC=$(HOME)/Tools/R-3.6.1/src/include
personal: RMATH_LIB=$(HOME)/Tools/R-3.6.1/src/nmath/standalone
personal: HTSLD_INC=$(HOME)/Tools/htslib-1.9
personal: HTSLD_LIB=$(HOME)/Tools/htslib-1.9
personal: static

personal-dbg: BOOST_INC=/usr/include/
personal-dbg: BOOST_LIB=/usr/lib/x86_64-linux-gnu/
personal-dbg: RMATH_INC=$(HOME)/Tools/R-3.6.1/src/include
personal-dbg: RMATH_LIB=$(HOME)/Tools/R-3.6.1/src/nmath/standalone
personal-dbg: HTSLD_INC=$(HOME)/Tools/htslib-1.9
personal-dbg: HTSLD_LIB=$(HOME)/Tools/htslib-1.9
personal-dbg: debug


baobab: BOOST_INC=/srv/beegfs/scratch/groups/funpopgen/Tools/boost_1_71_0/
baobab: BOOST_LIB=/srv/beegfs/scratch/groups/funpopgen/Tools/boost_1_71_0/stage/lib/
baobab: RMATH_INC=/srv/beegfs/scratch/groups/funpopgen/Tools/R-3.6.1/src/include/
baobab: RMATH_LIB=/srv/beegfs/scratch/groups/funpopgen/Tools/R-3.6.1/src/nmath/standalone/
baobab: HTSLD_INC=/srv/beegfs/scratch/groups/funpopgen/Tools/htslib-1.9/
baobab: HTSLD_LIB=/srv/beegfs/scratch/groups/funpopgen/Tools/htslib-1.9/
baobab: static

baobab-dbg: BOOST_INC=/srv/beegfs/scratch/groups/funpopgen/Tools/boost_1_71_0/
baobab-dbg: BOOST_LIB=/srv/beegfs/scratch/groups/funpopgen/Tools/boost_1_71_0/stage/lib/
baobab-dbg: RMATH_INC=/srv/beegfs/scratch/groups/funpopgen/Tools/R-3.6.1/src/include/
baobab-dbg: RMATH_LIB=/srv/beegfs/scratch/groups/funpopgen/Tools/R-3.6.1/src/nmath/standalone/
baobab-dbg: HTSLD_INC=/srv/beegfs/scratch/groups/funpopgen/Tools/htslib-1.9/
baobab-dbg: HTSLD_LIB=/srv/beegfs/scratch/groups/funpopgen/Tools/htslib-1.9/
baobab-dbg: static-dbg

install:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir) $(DESTDIR)$(autocompdir)
	$(INSTALL_PROGRAM) $(BFILE) $(DESTDIR)$(bindir)
	$(INSTALL_SCRIPT) $(SFILE) $(DESTDIR)$(bindir)
	$(INSTALL_MAN) $(MFILE) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) doc/QTLtools_bash_autocomplete.bash $(DESTDIR)$(autocompdir)

uninstall:
	rm $(DESTDIR)$(bindir)/QTLtools
	rm $(DESTDIR)$(bindir)/qtltools_*.R
	rm $(DESTDIR)$(man1dir)/QTLtools*.1
	rm $(DESTDIR)$(autocompdir)/QTLtools_bash_autocomplete.bash
	rmdir --ignore-fail-on-non-empty -p $(DESTDIR)$(bindir)
	rmdir --ignore-fail-on-non-empty -p $(DESTDIR)$(man1dir)
	rmdir --ignore-fail-on-non-empty -p $(DESTDIR)$(autocompdir)

#COMPILATION RULES
$(BFILE): $(OFILE)
	$(CXX) $^ $(LIB_FILES) -o $@ $(LIB_FLAGS) $(LDFLAG)

obj/QTLtools.o: src/QTLtools.cpp $(HFILE) $(TFILE) $(CFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)

obj/data.o: src/common/data.cpp src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)

obj/cis_%.o: cis_%.cpp cis_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/correct_%.o: correct_%.cpp correct_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/fenrich_%.o: fenrich_%.cpp fenrich_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/match_%.o: match_%.cpp match_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/trans_%.o: trans_%.cpp trans_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/rtc_%.o: rtc_%.cpp rtc_data.h  src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)

obj/pca_%.o: pca_%.cpp pca_data.h pca_pca.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/genrich_%.o: genrich_%.cpp genrich_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/union_%.o: union_%.cpp union_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/extract_%.o: extract_%.cpp extract_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)

obj/quan_%.o: quan_%.cpp quan_data.h quan_xxhash.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/ase_%.o: ase_%.cpp ase_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/bamstat_%.o: bamstat_%.cpp bamstat_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/fdensity_%.o: fdensity_%.cpp fdensity_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/rep_%.o: rep_%.cpp rep_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
obj/gwas_%.o: gwas_%.cpp gwas_data.h src/common/data.h src/common/filter.h $(TFILE)
	$(CXX) -o $@ -c $< $(CXXFLAG) $(IFLAG)
	
clean: 
	rm -f obj/*.o $(BFILE)

clean-cis:
	rm -f obj/cis_*.o $(BFILE)

clean-correct:
	rm -f obj/correct_*.o $(BFILE)

clean-fenrich:
	rm -f obj/fenrich_*.o $(BFILE)

clean-genrich:
	rm -f obj/genrich_*.o $(BFILE)

clean-match:
	rm -f obj/match_*.o $(BFILE)

clean-trans:
	rm -f obj/trans_*.o $(BFILE)

clean-rtc:
	rm -f obj/rtc_*.o $(BFILE)

clean-pca:
	rm -f obj/pca_*.o $(BFILE)
	
clean-extract:
	rm -f obj/extract_*.o $(BFILE)
	
clean-ase:
	rm -f obj/ase_*.o $(BFILE)

clean-union:
	rm -f obj/union_*.o $(BFILE)

clean-quan:
	rm -f obj/quan_*.o $(BFILE)

clean-bamstat:
	rm -f obj/bamstat_*.o $(BFILE)
		
clean-fdensity:
	rm -f obj/fdensity_*.o $(BFILE)
		
clean-rep:
	rm -f obj/rep_*.o $(BFILE)
		
clean-gwas:
	rm -f obj/gwas_*.o $(BFILE)

=== debian/changelog ===
qtltools (1.3.1+dfsg-4build6) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:09:42 +0200

qtltools (1.3.1+dfsg-4build5) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:59:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                libblas-dev,
                libboost-iostreams-dev,
                libboost-program-options-dev,
@@ -14,15 +14,18 @@
                libhts-dev,
                r-mathlib,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/qtltools
 Vcs-Git: https://salsa.debian.org/med-team/qtltools.git
 Homepage: https://qtltools.github.io/qtltools/
+Rules-Requires-Root: no
 
 Package: qtltools
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-base-core
+Recommends: r-bioc-qvalue
 Suggests: qtltools-example
 Description: Tool set for molecular QTL discovery and analysis
  QTLtools is a tool set for molecular Quantitative Trait Loci (QTL) discovery

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/qtltools/qtltools/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

# https://qtltools.github.io/qtltools/pages/basic_install.html https://qtltools.github.io/qtltools/binaries/QTLtools_(\d\S*)_source\.tar\.gz
